;===================================================================;
;                                                                   ;
; Centipede                                                         ;
; Pause Screen                                                      ;
;                                                                   ;
;===================================================================;

;================================================
; doTeacherKey - Turn off the calculator
;
; Input:    None
; Output:   None
;================================================
doTeacherKey:
        bcall(_clrscrnfull)
        ld      a,1
        out     (3),a
        halt
        ld      a,11
        out     (3),a
; Flow through to pause screen

;================================================
; doPauseScreen - Execute the pause screen
;
; Input:    None
; Output:   None
;================================================
doPauseScreen:
        bcall(_grbufclr)

        ld      hl,strPauseText                 ; HL => Start of pause strings
        ld      de,15*256+20
        call    putVText                        ; "Score:"
        ld      de,23*256+20
        call    putVText                        ; "Level:"
        ld      de,31*256+20
        call    putVText                        ; "Lives"
        ld      de,56*256+3
        call    putVText                        ; "ENTER-Resume, CLEAR-Quit"

        ld      hl,(score)
        ld      de,15*256+57
        call    setShowHL                       ; Show score
        ld      hl,(level)
        ld      h,0
        inc     l
        ld      de,23*256+57
        call    setShowHL                       ; Show level
        ld      hl,(lives)
        ld      h,0
        ld      de,31*256+57
        call    setShowHL                       ; Show lives

        call    showVideo
pauseLoop:
        call    waitKey                         ; Wait for a key press
        cp      GK_ENTER
        jp      z,mainGameLoop
        cp      GK_CLEAR
        jr      nz,pauseLoop
        jp      gameOver

.end
